/**
 * Test de la classe CalcEngine.
 * 
 * @author Hacker T. Largebrain 
 * @version 0.1
 */
public class CalcEngineTester
{
    // Le moteur  tester.
    private CalcEngine engine;

    /**
     * Constructeur pour les objets de la classe CalcEngineTester
     */
    public CalcEngineTester()
    {
        engine = new CalcEngine();
    }
    
    public void testAll()
    {
        System.out.println("Test de l'opration d'addition.");
        System.out.println("Le rsultat est : " + testPlus());
        System.out.println("Test de l'opration de soustraction.");
        System.out.println("Le rsultat est : " + testMinus());
        System.out.println("Tous les tests russis.");
    }

    /**
     * Test l'opration d'addition du moteur.
     * @return le rsultat du calcul de 3+4.
     */
    public int testPlus()
    {
        // S'assurer que le moteur est dans un tat de dmarrage valide.
        engine.clear();
        // Simulation des saisies : 3 + 4 =
        engine.numberPressed(3);
        engine.plus();
        engine.numberPressed(4);
        engine.equals();
        // Renvoie le rsultat qui devrait tre 7.
        return engine.getDisplayValue();
    }

    /**
     * Test l'opration de soustraction du moteur.
     * @return le rsultat du calcul de 9 - 4.
     */
    public int testMinus()
    {
        // S'assurer que le moteur est dans un tat de dmarrage valide.
        engine.clear();
        // Simulation des saisies : 9 - 4 =
        engine.numberPressed(9);
        engine.minus();
        engine.numberPressed(4);
        engine.equals();
        // Renvoie le rsultat qui devrait tre 5.
        return engine.getDisplayValue();
    }
}
