/**
 * La classe principale d'une calculatrice lmentaire. Crez-en une instance et 
 * vous obtiendrez la calculatrice  l'cran.
 * 
 * @author David J. Barnes and Michael Kolling
 * @version 31 July 2000
 */
public class Calculator
{
    private CalcEngine engine;
    private UserInterface gui;

    /**
     * Cration d'une nouvelle calculatrice et affichage.
     */
    public Calculator()
    {
        engine = new CalcEngine();
        gui = new UserInterface(engine);
    }

    /**
     * Si la fentre a t ferme, on l'affiche  nouveau.
     */
    public void show()
    {
        gui.setVisible(true);
    }
}
