/**
 * Stocke les dtails d'un rendez-vous de l'agenda.
 * 
 * @author David J. Barnes and Michael Kolling
 * @version 2001.09.14
 */
public class Appointment
{
    // La raison du rendez-vous.
    private String description;
    // La longueur (en heures) du rendez-vous.
    private int duration;

    /**
     * Constructeur pour les objets de la classe Appointment.
     * @param description La raison de ce rendez-vous.
     * @param duration La longueur de ce rendez-vous en heures.
     */
    public Appointment(String description, int duration)
    {
        this.description = description;
        this.duration = duration;
    }

    /**
     * @return La description du rendez-vous.
     */
    public String getDescription()
    {
        return description;
    }
    
    /**
     * @return La dure (en heures) du rendez-vous.
     */
    public int getDuration()
    {
        return duration;
    }
}
