/*
 * Cette classe est la classe principale de l'application "le monde de Zuul".
 * "le monde de Zuul" est un jeu d'aventures trs simple en mode texte.
 *
 * Cette classe stocke une numration de toutes les commandes 
 * connues par le jeu. Elle est utilise pour reconnatre les 
 * commandes lors de la saisie.
 *
 * @author  Michael Kolling and David J. Barnes
 * @version 1.0 (February 2002)
 */

class CommandWords
{
    // un tableau constant qui contient toutes les commandes
    private static final String validCommands[] = {
        "aller", "quitter", "aide", "regarder"
    };

    /**
     * Constructeur - initialise les commandes.
     */
    public CommandWords()
    {
        // rien  faire pour l'instant...
    }

    /**
     * Vrifie si une chane de caractres donne est une commande valide.
     * Renvoie true si c'est le cas, false dans le cas contraire.
     */
    public boolean isCommand(String aString)
    {
        for(int i = 0; i < validCommands.length; i++) {
            if(validCommands[i].equals(aString))
                return true;
        }
        // si nous arrivons ici, la chane de caractres n'est pas une commande
        return false;
    }

}
