/**
 * La classe Video reprsente un objet vido. Les informations concernant la 
 * vido sont stockes et peuvent tre rcupres.
 * 
 * @author Michael Kolling et David J. Barnes
 * @version 2002-05-06
 */
public class Video extends Item 
{
    private String director;

    /**
     * Constructeur des objets de la classe Video
     */
    public Video(String theTitle, String theDirector, int time)
    {
        super(theTitle, time);
        director = theDirector;
    }

    /**
     * Retourne le metteur en scne de cette vido.
     */
    public String getDirector()
    {
        return director;
    }

    /**
     * Affiche les dtails concernant cette vido sur le terminal.
     */
    public void print()
    {
        System.out.println("    metteur en scne: " + director);
    }
}
