
/**
 * Cette classe reprsente une image simple. Vous pouvez la dessiner  l'aide de la mthode
 * draw. Mais attendez : comme c'est une image lectronique, elle peut
 * aussi tre modifie. Vous pouvez l'afficher en noir et blanc et en 
 * couleurs (uniquement aprs l'avoir affiche une premire fois).
 *
 * Cette classe a t crite parmi les premiers exemples pour enseigner Java avec BlueJ.
 * 
 * @author  Michael Kolling et David J. Barnes
 * @version 1.1  (24 mai 2001)
 */
public class Picture
{
    private Square wall;
    private Square window;
    private Triangle roof;
    private Circle sun;

    /**
     * Constructeur d'objets de la classe Picture
     */
    public Picture()
    {
        // rien  faire... les variables d'instance sont automatiquement dfinies avec null
    }

    /**
     * Dessine cette image.
     */
    public void draw()
    {
        wall = new Square();
        wall.moveVertical(80);
        wall.changeSize(100);
        wall.makeVisible();
        
        window = new Square();
        window.changeColor("black");
        window.moveHorizontal(20);
        window.moveVertical(100);
        window.makeVisible();

        roof = new Triangle();  
        roof.changeSize(50, 140);
        roof.moveHorizontal(60);
        roof.moveVertical(70);
        roof.makeVisible();

        sun = new Circle();
        sun.changeColor("red");
        sun.moveHorizontal(180);
        sun.moveVertical(-10);
        sun.changeSize(60);
        sun.makeVisible();
    }

    /**
     * Affiche cette image en noir et blanc
     */
    public void setBlackAndWhite()
    {
        if(wall != null)   // uniquement si elle est dj affiche...
        {
            wall.changeColor("black");
            window.changeColor("white");
            roof.changeColor("black");
            sun.changeColor("black");
        }
    }

    /**
     * Affiche l'image en couleurs
     */
    public void setColor()
    {
        if(wall != null)   // uniquement si elle est dj affiche...
        {
            wall.changeColor("red");
            window.changeColor("black");
            roof.changeColor("green");
            sun.changeColor("yellow");
        }
    }

}
