/**
 * Conserve les coordonnes d'un participant dans une enchre.
 * @author David J. Barnes et Michael Kolling.
 * @version 2001.05.31
 */
public class Person
{
    // Le nom de cet utilisateur.
    private final String name;

    /**
     * Cre un nouvel utilisateur avec le nom donn.
     * @param name Le nom de l'utilisateur.
     */
    public Person(String name)
    {
        this.name = name;
    }

    /**
     * @return Le nom de l'utilisateur.
     */
    public String getName()
    {
        return name;
    }
}
