/**
 * La classe CD reprsente un objet CD. Les informations concernant le
 * CD sont stockes et peuvent tre rcupres.
 * 
 * @author Michael Kolling et David J. Barnes
 * @version 2002-05-06
 */
public class CD extends Item
{
    private String artist;
    private int numberOfTracks;

    /**
     * Constructeur des objets de la classe CD.
     */
    public CD(String theTitle, String theArtist, int tracks, int time)
    {
        super(theTitle, time);
        artist = theArtist;
        numberOfTracks = tracks;
    }

    /**
     * Retourne l'artiste de ce CD.
     */
    public String getArtist()
    {
        return artist;
    }

    /**
     * Retourne le nombre de pistes de ce CD.
     */
    public int getNumberOfTracks()
    {
        return numberOfTracks;
    }

    /**
     * Affiche les dtails concernant ce CD sur le terminal.
     */
    public void print()
    {
        System.out.println("    " + artist);
        System.out.println("    pistes: " + numberOfTracks);
    }
}
