import java.awt.Color;

/**
 * Compteur pour un participant  la simulation.
 * Comporte une chane d'identification et un compteur
 * du nombre de particpants de ce type actuellement
 * dans la simulation.
 *
 * @author David J. Barnes and Michael Kolling
 * @version 2002-04-23
 */
public class Counter
{
    // Nom du type de ces participants
    private String name;
    // Nombre de participants de ce type
    private int count;

    /**
     * Donne un nom de type.
     * @param name  Un nom, "Fox" par exemple
     */
    public Counter(String name)
    {
        this.name = name;
        count = 0;
    }
    
    /**
     * @return Une courte description du type
     */
    public String getName()
    {
        return name;
    }

    /**
     * @return La valeur actuelle du compteur
     */
    public int getCount()
    {
        return count;
    }

    /**
     * Incrmente le compteur de un.
     */
    public void increment()
    {
        count++;
    }
    
    /**
     * Remet le compteur  zro.
     */
    public void reset()
    {
        count = 0;
    }
}
