/*
 * Cette classe contient la liste des mots cls des commandes
 * connues du programme.
 *
 * @author  Michael Kolling and David J. Barnes
 * @version 2002.06.11
 */

public class CommandWords
{
    // un tableau constant contenant tous les mots cls des commandes.
    private static final String validCommands[] = {
        "ajouter", "obtenir", "chercher", "lister", "aide", "quitter",
    };

    /**
     */
    public CommandWords()
    {
    }

    /**
     * Vrifie si la chane entre est une commande valide.
     * Return true si oui, false sinon.
     */
    public boolean isCommand(String aString)
    {
        if(aString != null){
            for(int i = 0; i < validCommands.length; i++) {
                if(validCommands[i].equals(aString))
                    return true;
            }
        }
        // si nous sommes ici, la chane n'est pas une commande valide.
        return false;
    }

    /*
     * Afficher toutes les commandes possibles sur System.out.
     */
    public void showAll() 
    {
        for(int i = 0; i < validCommands.length; i++) {
            System.out.print(validCommands[i] + "  ");
        }
        System.out.println();
    }
}
